| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::crit_constant_action Class Reference
API

the basic constant action More...

`#include <criterium.hpp>`

Inherits libdar::crit_action.

## Public Member Functions
| crit_constant_action (over_action_data data, over_action_ea ea)
| the constuctor More...
void | get_action (const cat_nomme &first, const cat_nomme &second, over_action_data &data, over_action_ea &ea) const
| the inherited pure virtual methods from class action that must be implemented
crit_action * | clone () const
| clone construction method More...
Public Member Functions inherited from libdar::crit_action
virtual | ~crit_action ()
| the destructor
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Detailed Description

the basic constant action

the resulting action is not dependant on the files to compare it always returns the action provided through its constructor

Definition at line 105 of file criterium.hpp.

## Constructor & Destructor Documentation

libdar::crit_constant_action::crit_constant_action | ( | over_action_data | data,
|  | over_action_ea | ea
| ) |  |
| inline

the constuctor

Parameters

  [in] | data | the action to perform on data
  [in] | ea | the action to perform on EA

Definition at line 112 of file criterium.hpp.

References libdar::compile_time::ea().

Referenced by clone().

## Member Function Documentation

crit_action* libdar::crit_constant_action::clone | ( |  | ) | const
| inline virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the action hierarchy class

Implements libdar::crit_action.

Definition at line 117 of file criterium.hpp.

References crit_constant_action(), and libdar::on_pool::get_pool().

The documentation for this class was generated from the following file:

- criterium.hpp